Index: src/Potentials/Specifics/unittests/ManyBodyPotential_TersoffUnitTest.cpp
===================================================================
--- src/Potentials/Specifics/unittests/ManyBodyPotential_TersoffUnitTest.cpp	(revision 691be4f44eb94a5e492928b4b2545595232ccb1a)
+++ src/Potentials/Specifics/unittests/ManyBodyPotential_TersoffUnitTest.cpp	(revision ed255138d5de310101fe846f80532d4b0c19bfcb)
@@ -277,5 +277,9 @@
     > fct =
       triplefunction;
-  ManyBodyPotential_Tersoff tersoff(fct);
+  ManyBodyPotential_Tersoff::ParticleTypes_t types =
+      boost::assign::list_of<ManyBodyPotential_Tersoff::ParticleType_t>
+        (0)(1)
+      ;
+  ManyBodyPotential_Tersoff tersoff(types, fct);
   tersoff.setParameters(params);
   const_cast<double &>(tersoff.R) = 1.8;
@@ -320,5 +324,9 @@
 //    > fct =
 //      triplefunction;
-//  ManyBodyPotential_Tersoff tersoff(fct);
+//  ManyBodyPotential_Tersoff::ParticleTypes_t types =
+//      boost::assign::list_of<ManyBodyPotential_Tersoff::ParticleType_t>
+//        (0)(1)
+//      ;
+//  ManyBodyPotential_Tersoff tersoff(types, fct);
 //  tersoff.setParameters(params);
 //  CPPUNIT_ASSERT(
@@ -341,5 +349,9 @@
 //    > fct =
 //      triplefunction;
-//  ManyBodyPotential_Tersoff tersoff(fct);
+//  ManyBodyPotential_Tersoff::ParticleTypes_t types =
+//      boost::assign::list_of<ManyBodyPotential_Tersoff::ParticleType_t>
+//        (0)(1)
+//      ;
+//  ManyBodyPotential_Tersoff tersoff(types, fct);
 //  tersoff.setParameters(params);
 //  CPPUNIT_ASSERT(
Index: src/Potentials/Specifics/unittests/PairPotential_AngleUnitTest.cpp
===================================================================
--- src/Potentials/Specifics/unittests/PairPotential_AngleUnitTest.cpp	(revision 691be4f44eb94a5e492928b4b2545595232ccb1a)
+++ src/Potentials/Specifics/unittests/PairPotential_AngleUnitTest.cpp	(revision ed255138d5de310101fe846f80532d4b0c19bfcb)
@@ -103,5 +103,9 @@
 void PairPotential_AngleTest::operatorTest()
 {
-  PairPotential_Angle angle(.5,0.,.1);
+  PairPotential_Angle::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Angle::ParticleType_t>
+        (0)(1)(1)
+      ;
+  PairPotential_Angle angle(types, .5,0.,.1);
   for (size_t index = 0; index < input.size(); ++index) {
     CPPUNIT_ASSERT(
@@ -118,5 +122,9 @@
 void PairPotential_AngleTest::derivativeTest()
 {
-  PairPotential_Angle angle(.5,0.,.1);
+  PairPotential_Angle::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Angle::ParticleType_t>
+        (0)(1)(1)
+      ;
+  PairPotential_Angle angle(types, .5,0.,.1);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
@@ -135,5 +143,9 @@
 void PairPotential_AngleTest::parameter_derivativeTest()
 {
-  PairPotential_Angle angle(.5,0.,.1);
+  PairPotential_Angle::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Angle::ParticleType_t>
+        (0)(1)(1)
+      ;
+  PairPotential_Angle angle(types, .5,0.,.1);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
Index: src/Potentials/Specifics/unittests/PairPotential_HarmonicUnitTest.cpp
===================================================================
--- src/Potentials/Specifics/unittests/PairPotential_HarmonicUnitTest.cpp	(revision 691be4f44eb94a5e492928b4b2545595232ccb1a)
+++ src/Potentials/Specifics/unittests/PairPotential_HarmonicUnitTest.cpp	(revision ed255138d5de310101fe846f80532d4b0c19bfcb)
@@ -91,5 +91,9 @@
 void PairPotential_HarmonicTest::operatorTest()
 {
-  PairPotential_Harmonic harmonic(.5,1.,.1);
+  PairPotential_Harmonic::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Harmonic::ParticleType_t>
+        (0)(1)
+      ;
+  PairPotential_Harmonic harmonic(types, .5,1.,.1);
   for (size_t index = 0; index < input.size(); ++index) {
     CPPUNIT_ASSERT(
@@ -106,5 +110,9 @@
 void PairPotential_HarmonicTest::derivativeTest()
 {
-  PairPotential_Harmonic harmonic(.5,1.,.1);
+  PairPotential_Harmonic::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Harmonic::ParticleType_t>
+        (0)(1)
+      ;
+  PairPotential_Harmonic harmonic(types, .5,1.,.1);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
@@ -122,5 +130,9 @@
 void PairPotential_HarmonicTest::parameter_derivativeTest()
 {
-  PairPotential_Harmonic harmonic(.5,1.,.1);
+  PairPotential_Harmonic::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Harmonic::ParticleType_t>
+        (0)(1)
+      ;
+  PairPotential_Harmonic harmonic(types, .5,1.,.1);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
Index: src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp
===================================================================
--- src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp	(revision 691be4f44eb94a5e492928b4b2545595232ccb1a)
+++ src/Potentials/Specifics/unittests/PairPotential_MorseUnitTest.cpp	(revision ed255138d5de310101fe846f80532d4b0c19bfcb)
@@ -107,5 +107,9 @@
 void PairPotential_MorseTest::operatorTest()
 {
-  PairPotential_Morse Morse(a,c,D,d);
+  PairPotential_Morse::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Morse::ParticleType_t>
+        (0)(1)
+      ;
+  PairPotential_Morse Morse(types, a,c,D,d);
   for (size_t index = 0; index < input.size(); ++index) {
     CPPUNIT_ASSERT(
@@ -123,5 +127,9 @@
 void PairPotential_MorseTest::derivativeTest()
 {
-  PairPotential_Morse Morse(a,c,D,d);
+  PairPotential_Morse::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Morse::ParticleType_t>
+        (0)(1)
+      ;
+  PairPotential_Morse Morse(types, a,c,D,d);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
@@ -140,5 +148,9 @@
 void PairPotential_MorseTest::parameter_derivativeTest()
 {
-  PairPotential_Morse Morse(a,c,D,d);
+  PairPotential_Morse::ParticleTypes_t types =
+      boost::assign::list_of<PairPotential_Morse::ParticleType_t>
+        (0)(1)
+      ;
+  PairPotential_Morse Morse(types, a,c,D,d);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
